Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class XSLTTemplateProcessor

    java.lang.Object
      org.apache.axis2.util.XSLTTemplateProcessor

    public class XSLTTemplateProcessor

extends Object

Constructor Summary
`XSLTTemplateProcessor()`

Method Summary
`static void` | `parse(OutputStream out, Document document, InputStream xsltStream)`
`static void` | `parse(OutputStream out, Document document, InputStream xsltStream, URIResolver customResolver)`
`static void` | `parse(OutputStream out, Document document, InputStream xsltStream, URIResolver customResolver, boolean pretty)`
`static void` | `parse(OutputStream out, Document doc, Transformer transformer)` Parses an XML stream with an XSL stream
`static void` | `parse(OutputStream out, InputStream xmlStream, InputStream xsltStream)` Parses an XML stream with an XSL stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTTemplateProcessor

    public XSLTTemplateProcessor()

Method Detail

### parse

    public static void parse(OutputStream out,
                             InputStream xmlStream,
                             InputStream xsltStream)
                      throws TransformerFactoryConfigurationError,
                             TransformerException

  Parses an XML stream with an XSL stream

  Parameters:
    `out` - Stream to write the output
    `xmlStream` - Source XML stream
    `xsltStream` - Source XSL stream
  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### parse

    public static void parse(OutputStream out,
                             Document doc,
                             Transformer transformer)
                      throws TransformerFactoryConfigurationError,
                             TransformerException

  Parses an XML stream with an XSL stream

  Parameters:
    `out` - Stream to write the output
    `doc` -
    `transformer` -
  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### parse

    public static void parse(OutputStream out,
                             Document document,
                             InputStream xsltStream)
                      throws TransformerFactoryConfigurationError,
                             TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### parse

    public static void parse(OutputStream out,
                             Document document,
                             InputStream xsltStream,
                             URIResolver customResolver)
                      throws TransformerFactoryConfigurationError,
                             TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

### parse

    public static void parse(OutputStream out,
                             Document document,
                             InputStream xsltStream,
                             URIResolver customResolver,
                             boolean pretty)
                      throws TransformerFactoryConfigurationError,
                             TransformerException

  Parameters:
    `out` -
    `document` -
    `xsltStream` -
  Throws:
    `TransformerFactoryConfigurationError`
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.